local fn = _gn(0x74C9090FDD1BB48E)
--- entity can be a ped or weapon object.
function Global.GiveWeaponComponentToEntity(entity, componentHash, weaponHash, p3)
	return _in2(fn, entity, _ch(componentHash), _ch(weaponHash), p3)
end
